package userInterface;

import sk.upjs.jpaz2.AudioClip;
import userInterface.panes.BackIcon;
import userInterface.utilities.PaneUtilities;

import java.awt.event.MouseEvent;

/**
 * The rules screen of the game. It is designed as a singleton.
 */
class RulesScreen extends Screen
{
    /**
     * The instance of the screen.
     */
    private static RulesScreen instance;

    /**
     * The back icon of the screen.
     */
    private BackIcon icon;

    /**
     * Constructs the rules screen.
     */
    private RulesScreen()
    {
        PaneUtilities.drawBackground(this, "rulesScreen.png");
        drawIcon();
        drawMusicIcon();
    }

    /**
     * Draw the back icon on the screen.
     */
    private void drawIcon()
    {
        icon = new BackIcon();
        icon.drawToScreen(this);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected void onMousePressed(int x, int y, MouseEvent detail)
    {
        if (icon.containsPoint(x, y))
        {
            playSound("click.wav");
            Hearts.getInstance().changeScreen(IntroScreen.getInstance(), false);
        }
    }

    /**
     * Gets the instance of the screen.
     */
    public static RulesScreen getInstance()
    {
        if (instance == null)
            instance = new RulesScreen();

        return instance;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public AudioClip getScreenMusic()
    {
        return IntroScreen.getInstance().getScreenMusic();
    }
}