package userInterface.panes;

import sk.upjs.jpaz2.Pane;
import userInterface.Screen;
import userInterface.utilities.PaneUtilities;

/**
 * A pane, which represents a back icon, which is meant to be an icon which changes the screen to the previous one. This
 * functionality must be implemented in a screen though.
 */
public class BackIcon extends Pane
{
    /**
     * Constructs a back icon.
     */
    public BackIcon()
    {
        setTransparentBackground(true);
        PaneUtilities.drawBackground(this, "backIcon.png");
    }

    /**
     * Draws the icon to the given green.
     */
    public void drawToScreen(Screen screen)
    {
        screen.add(this);
        setPosition(10, 10);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected boolean onCanClick(int x, int y)
    {
        return true;
    }
}